Rename Category

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API renames a template category.

Endpoints

OAuth Scope

WorkDrive.libraries.categories.UPDATECopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request PATCH \
  --url https://www.zohoapis.com/workdrive/api/v1/category/{category_id} \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
  --header 'content-type: application/vnd.api+json' \
  --data '{"data":{"attributes":{"category_name":"Marketing"},"type":"category"}}'

Path Parameters

category_idstring(Required)

The template category ID

Request Body

application/vnd.api+json
dataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
category_namestring(Required)

The new name of the category

typestring(Required)

The JSON:API resource type. Always "category".

Allowed Values :
Show Values
categoryCopied!
Copied!Copy all as JSON Array

Body Parameters

Copied!
  {
    "data": {
      "attributes": {
        "category_name": "Marketing"
      },
      "type": "category"
    }
  }
                
Show full

Response Example

TL001

F000

200
200
400
500
Copied!
  {
    "data": {
      "id": "ntp2ode5ad3a2eb054a0c845a24f2381852c9",
      "type": "category",
      "attributes": {
        "category_name": "My Category",
        "library_id": "ntp2oe1674ac34a8f429aa9ad52e2c55de8a8",
        "status": 1
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/api/v1/category/ntp2ode5ad3a2eb054a0c845a24f2381852c9"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "TL001",
        "title": "Unable to create Template Category"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "Generic server-side failure"
      }
    ]
  }
                
Show full